get
https://pluto.cargobase.com/api/1/quickrequests/
The Quick Request Detail end-point can be used to retrieve all specifics of a Quick request. A Quick Request is a 'draft' version of a Quote request, therefore this end-point is only available to shippers.
Request URI
GET https://pluto.cargobase.com/api/1/quickrequests/`Quick_request_reference`
Authorization: Token your_token_here
Status codes
| Status | Description | Resolution |
|---|---|---|
| 200 | OK | -- |
| 403 | Forbidden | check Authentication token, or status of the quick request |
Request Response
Request Response categories
The response is divided into 3 possible categories for shippers, these are:
| Category | Definition |
|---|---|
| organization | Details related to the organization, such as WBS Codes or Cost Centers |
| related_request | Information about a related shipment, after the quick request is converted into a quote request |
| schedule | Details related to pickup & delivery timing and locations |
Request Response: Organization
Details related to the organization, such as WBS Codes or Cost Centers.
| Key | Value | Description |
|---|---|---|
| quick_request_reference | STRING | The reference number unique to this quick request |
| quick_request_title | STRING | Title of the Quick Request, as provided by the Shipper |
| payment_location | STRING | The name of the organizational unit in Cargobase responsible for handling this request |
| invoice_location | STRING | The name of the organizational unit in Cargobase to which the provider will submit their invoice(s) |
| quick_request_creation_date | DATE | Creation date of the Quick request, YYYY-MM-DD |
| quick_request_creation_time | TIME | Time of day of creation of the Quick request, HH:MM:SS |
| quick_request_status | STRING | Current status of the quick request, see list for potential status below |
| quick_request_created_by_name | STRING | Name of the creator of the Quick Request |
| quick_request_created_by_email | STRING | Email of the creator of the Quick Request |
| Custom_field1... | STRING | One or more strings related to custom 'organizational fields' specific to a shipper, such as 'Reason code' or 'WBS Code' |
Request status options
| Status | Definition |
|---|---|
| Pending | A new quick request, that has not been converted into a quote request. |
| Processing | A quick request that has been converted into a quote request |
| Shipping | A quick request that has lead to a booked shipment |
| Archived | A quick request that has been delivered or is canceled |
Request Response: Related Request
Information about a related shipment, after the quick request is converted into a quote request.
| Key | Value | Description |
|---|---|---|
| related_request_id | STRING | The reference number of the Quote request / Shipment |
| related_request_status | STRING | Status of the Quote request / Shipment |
| related_request_creation_date | DATE | The date when the Quick request was created into a Quote request, YYYY-MM-DD |
| related_request_creation_time | TIME | The time of day when the Quick request was created into a Quote request, HH:MM:SS |
| related_request_created_by_name | STRING | Name of the convertor of the Quick Request |
| related_request_created_by_email | STRING | Email of the convertor of the Quick Request |
| related_request_quotes_received | INTEGER | The number of quotes received on the resulting Quote Request |
Request Response: Schedule
Details related to pickup & delivery timing and locations.
| Key | Value | Description |
|---|---|---|
| pickup_airport_code | STRING | IATA Airport code, if identified otherwise null |
| pickup_airport | STRING | Airport Name, if identified otherwise null |
| pickup_seaport_code | STRING | Seaport code, if identified otherwise null |
| pickup_seaport | TYPE | Seaport name, if identified otherwise null |
| pickup_street | STRING | Pickup street address |
| pickup_address_name | STRING | Pickup company name |
| pickup_state | STRING | The pickup State in case of US or Mexico |
| pickup_zipcode | STRING | The pickup postal code |
| pickup_city | STRING | The pickup city |
| pickup_country | STRING | The pickup country |
| pickup_date | TIMESTAMP | Requested pickup date, format YYYY-MM-DD |
| pickup_time | TIMESTAMP | Requested pickup time, format HH:MM |
| pickup_time_type | INTEGER | Requested pickup type can be 1=Regularor 2=Between |
| pickup_end_date | TIMESTAMP | Requested pickup end date, in case of pickup_time_type 2 |
| pickup_end_time | TIMESTAMP | Requested pickup end time, in case of pickup_time_type 2 |
| pickup_hours_start | TIMESTAMP | If Shipper indicated pickup location opening hours format: HH:MM |
| pickup_hours_end | TYPE | If Shipper indicated pickup location closing hours format: HH:MM |
| pickup_timezone | STRING | Timezone name |
| pickup_notes | STRING | Additional pickup notes |
| pickup_contact_name | STRING | Name of contact person at pickup location |
| pickup_contact_phone | STRING | Phone number of contact person at pickup location |
| pickup_contact_email | STRING | Email of contact person at pickup location |
| pickup_address_type | STRING | Can be Address, Seaport or Airport |
| stop1_airport | STRING | Airport Name, if identified otherwise null |
| stop1_seaport_code | STRING | Seaport code, if identified otherwise null |
| stop1_seaport | TYPE | Seaport name, if identified otherwise null |
| stop1_street | STRING | Delivery street address |
| stop1_address_name | STRING | Delivery company name |
| stop1_state | STRING | The delivery State in case of US or Mexico |
| stop1_zipcode | STRING | The delivery postal code |
| stop1_city | STRING | The delivery city |
| stop1_country | STRING | The delivery country |
| stop1_date | TIMESTAMP | Requested delivery date, format YYYY-MM-DD |
| stop1_time | TIMESTAMP | Requested delivery time, format HH:MM |
| stop1_time_type | INTEGER | Requested delivery type can be 1=Regularor 2=Between |
| stop1_end_date | TIMESTAMP | Requested delivery end date, in case of stop1_time_type 2 |
| stop1_end_time | TIMESTAMP | Requested delivery end time, in case of stop1_time_type 2 |
| stop1_hours_start | TIMESTAMP | If Shipper indicated delivery location opening hours format: HH:MM |
| stop1_hours_end | TYPE | If Shipper indicated delivery location closing hours format: HH:MM |
| stop1_timezone | STRING | Timezone name |
| stop1_notes | STRING | Additional delivery notes |
| stop1_contact_name | STRING | Name of contact person at delivery location |
| stop1_contact_phone | STRING | Phone number of contact person at delivery location |
| stop1_contact_email | STRING | Email of contact person at delivery location |
| stop1_address_type | STRING | Can be Address, Seaport or Airport |